<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}


/*
 	
Adds $content to the default TypoScript code for either setup, constants or editorcfg as set in $TYPO3_CONF_VARS[FE]['defaultTypoScript_*'] (Basically this function can do the same as addTypoScriptSetup and addTypoScriptConstants - just with a little more hazzle, but also with some more options!) FOR USE IN ext_locallang.php FILES Usage: 7

Parameters:
string 	$key is the extension key (informative only).
string 	$type is either "setup", "constants" or "editorcfg" and obviously determines which kind of TypoScript code we are adding.
string 	$content is the TS content, prefixed with a [GLOBAL] line and a comment-header.
string 	$afterStaticUid is either an integer pointing to a uid of a static_template or a string pointing to the "key" of a static_file template ([reduced extension_key]/[local path]). The points is that the TypoScript you add is included only IF that static template is included (and in that case, right after). So effectively the TypoScript you set can specifically overrule settings from those static templates.
*/

/*
add typoscript
t3lib_extMgm::addTypoScript($_EXTKEY,'setup','
	tt_content.shortcut.20.0.conf.tx_catalog_criteria = < plugin.'.t3lib_extMgm::getCN($_EXTKEY).'_pi1
	tt_content.shortcut.20.0.conf.tx_catalog_criteria.CMD = singleView
',43);
.formhandler-basic-contactform
*/

### tca unique check in original language with multiple languages
//$TYPO3_CONF_VARS['SC_OPTIONS']['tce']['formevals']['tx_formhandlerbackend_unique'] = 'EXT:formhandler_backend/classes/class.tx_formhandlerbackend_unique.php'; 

### build templates from pretemplates while saving plugin.
$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processDatamapClass'][] = 'EXT:formhandler_backend/classes/class.tx_formhandlerbackend_tcemainprocdm.php:tx_formhandlerbackend_tcemainprocdm';
### remove old template folder while deleting plugin. 
$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processCmdmapClass'][] = 'EXT:formhandler_backend/classes/class.tx_formhandlerbackend_tcemainprocdm.php:tx_formhandlerbackend_tcemainprocdm';

/*
processDatamap_preProcessFieldArray
processDatamap_postProcessFieldArray
processDatamap_afterDatabaseOperations
processDatamap_afterAllOperations

processDatamap_afterDatabaseOperations(&$hookObjectsArr, &$status, &$table, &$id, &$fieldArray)   X-Ref
Hook: processDatamap_afterDatabaseOperations
(calls $hookObj->processDatamap_afterDatabaseOperations($status, $table, $id, $fieldArray, $this);)

Note: When using the hook after INSERT operations, you will only get the temporary NEW... id passed to your hook as $id,
but you can easily translate it to the real uid of the inserted record using the $this->substNEWwithIDs array.

param: object        $hookObjectsArr: (reference) Array with hook objects
param: string        $status: (reference) Status of the current operation, 'new' or 'update
param: string        $table: (refrence) The table currently processing data for
param: string        $id: (reference) The record uid currently processing data for, [integer] or [string] (like 'NEW...')
param: array        $fieldArray: (reference) The field array of a record
return: void
*/

t3lib_extMgm::addPItoST43($_EXTKEY, 'pi1/class.tx_formhandlerbackend_pi1.php', '_pi1', 'list_type', 1);
?>