<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

t3lib_extMgm::allowTableOnStandardPages('tx_formhandlerbackend_fieldset');

$TCA['tx_formhandlerbackend_fieldset'] = array(
	'ctrl' => array(
		'title'     => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_fieldset',		
		'label'     => 'marker',	
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'languageField'            => 'sys_language_uid',	
		'transOrigPointerField'    => 'l18n_parent',	
		'transOrigDiffSourceField' => 'l18n_diffsource',	
		'default_sortby' => 'ORDER BY crdate',	
    'delete' => 'deleted',	
    'enablecolumns' => array(		
    	'disabled' => 'hidden',
    ),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'tca.php',
		'iconfile'          => t3lib_extMgm::extRelPath($_EXTKEY) . 'icon_tx_formhandlerbackend_fieldset.gif',
	),
);


t3lib_extMgm::allowTableOnStandardPages('tx_formhandlerbackend_field');

$TCA['tx_formhandlerbackend_field'] = array(
	'ctrl' => array(
		'title'     => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_field',		
		'label'     => 'name',	
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'type' => 'is_type',	
		'languageField'            => 'sys_language_uid',	
		'transOrigPointerField'    => 'l18n_parent',	
		'transOrigDiffSourceField' => 'l18n_diffsource',	
    'sortby' => 'sorting',
		'delete' => 'deleted',	
		'enablecolumns' => array(		
			'disabled' => 'hidden',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'tca.php',
		'iconfile'          => t3lib_extMgm::extRelPath($_EXTKEY) . 'icon_tx_formhandlerbackend_field.gif',
	),
);

t3lib_extMgm::allowTableOnStandardPages('tx_formhandlerbackend_field_option');

$TCA['tx_formhandlerbackend_field_option'] = array(
	'ctrl' => array(
		'title'     => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_field_option',		
		'label'     => 'option_value',	
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'languageField'            => 'sys_language_uid',	
		'transOrigPointerField'    => 'l18n_parent',	
		'transOrigDiffSourceField' => 'l18n_diffsource',	
    'sortby' => 'sorting',
		'delete' => 'deleted',	
		'enablecolumns' => array(		
			'disabled' => 'hidden',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'tca.php',
		'iconfile'          => t3lib_extMgm::extRelPath($_EXTKEY) . 'icon_tx_formhandlerbackend_field_option.gif',
	),
);

$TCA['tx_formhandlerbackend_type'] = array(
	'ctrl' => array(
		'title'     => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_type',		
		'label'     => 'name',	
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'sortby' => 'sorting',	
		'delete' => 'deleted',	
		'enablecolumns' => array(		
			'disabled' => 'hidden',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'tca.php',
		'iconfile'          => t3lib_extMgm::extRelPath($_EXTKEY) . 'icon_tx_formhandlerbackend_type.gif',
	),
);

$TCA['tx_formhandlerbackend_validation'] = array(
	'ctrl' => array(
		'title'     => 'LLL:EXT:formhandler_backend/locallang_db.xml:tx_formhandlerbackend_validation',		
		'label'     => 'name',	
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'sortby' => 'sorting',	
		'delete' => 'deleted',	
		'enablecolumns' => array(		
			'disabled' => 'hidden',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'tca.php',
		'iconfile'          => t3lib_extMgm::extRelPath($_EXTKEY) . 'icon_tx_formhandlerbackend_validation.gif',
	),
);

t3lib_extMgm::addPiFlexFormValue($_EXTKEY . '_pi1', 'FILE:EXT:' . $_EXTKEY . '/pi1/flexform_ds.xml');

$tempColumns = array(
	'tx_formhandlerbackend_form' => array(		
		'exclude' => 0,		
		'label' => 'LLL:EXT:formhandler_backend/locallang_db.xml:tt_content.tx_formhandlerbackend_form',		
		'config' => array(
  		        'type' => 'inline',
  		        'foreign_table' => 'tx_formhandlerbackend_fieldset',
  		        'foreign_field' => 'form',
  		        'foreign_label' => 'marker',
  		        'maxitems' => 99,
  		        'appearance' => Array(
  		          'collapseAll' => 0,
  		          'expandSingle' => 1,
  		          'useCombination' => 1,
  		          'newRecordLinkPosition' => 'none',
                'levelLinksPosition' => 'none',
                'useSortable' => 0,
                'enabledControls' => array(
                  'delete' => 0,
                ),
  		        ),
            	'behaviour' => array(
            		'localizationMode' => 'select',
            		'localizeChildrenAtParentLocalization' => 1,
            	),
		)
	),
);

t3lib_div::loadTCA('tt_content');
t3lib_extMgm::addTCAcolumns('tt_content',$tempColumns,1);
$TCA['tt_content']['types']['list']['subtypes_excludelist'][$_EXTKEY.'_pi1'] = 'layout,select_key,pages';
$TCA['tt_content']['types']['list']['subtypes_addlist'][$_EXTKEY.'_pi1'] = 'pi_flexform,--div--;LLL:EXT:formhandler_backend/pi1/locallang.xml:pi_flexform.sheet_editor, tx_formhandlerbackend_form;;;;1-1-1';

t3lib_extMgm::addPlugin(array(
	'LLL:EXT:formhandler_backend/locallang_db.xml:tt_content.list_type_pi1',
	$_EXTKEY . '_pi1',
	t3lib_extMgm::extRelPath($_EXTKEY) . 'ext_icon.gif'
),'list_type');

if (TYPO3_MODE === 'BE') {
	$TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses']['tx_formhandlerbackend_pi1_wizicon'] = t3lib_extMgm::extPath($_EXTKEY) . 'pi1/class.tx_formhandlerbackend_pi1_wizicon.php';
	include_once(t3lib_extMgm::extPath($_EXTKEY) . '/classes/class.tx_formhandlerbackend_addFlexformElements.php');
}
?>