#
# Table structure for table 'tt_content'
#
CREATE TABLE tt_content (
    tx_formhandlerbackend_form int(11) DEFAULT '0' NOT NULL
);



#
# Table structure for table 'tx_formhandlerbackend_fieldset'
#
# step DEFAULT '1'
CREATE TABLE tx_formhandlerbackend_fieldset (
    uid int(11) NOT NULL auto_increment,
    pid int(11) DEFAULT '0' NOT NULL,
    tstamp int(11) DEFAULT '0' NOT NULL,
    crdate int(11) DEFAULT '0' NOT NULL,
    cruser_id int(11) DEFAULT '0' NOT NULL,
    sys_language_uid int(11) DEFAULT '0' NOT NULL,
    l18n_parent int(11) DEFAULT '0' NOT NULL,
    l18n_diffsource mediumblob,
    deleted tinyint(4) DEFAULT '0' NOT NULL,
    hidden tinyint(4) DEFAULT '0' NOT NULL,
    form tinytext,
    step int(11) DEFAULT '1' NOT NULL,
    marker tinytext,
    fields text,
    
    PRIMARY KEY (uid),
    KEY parent (pid)
) ENGINE=InnoDB;



#
# Table structure for table 'tx_formhandlerbackend_field'
# is_type DEFAULT '1'
#
CREATE TABLE tx_formhandlerbackend_field (
    uid int(11) NOT NULL auto_increment,
    pid int(11) DEFAULT '0' NOT NULL,
    tstamp int(11) DEFAULT '0' NOT NULL,
    crdate int(11) DEFAULT '0' NOT NULL,
    cruser_id int(11) DEFAULT '0' NOT NULL,
    sys_language_uid int(11) DEFAULT '0' NOT NULL,
    l18n_parent int(11) DEFAULT '0' NOT NULL,
    l18n_diffsource mediumblob,
    sorting int(10) DEFAULT '0' NOT NULL,
    deleted tinyint(4) DEFAULT '0' NOT NULL,
    hidden tinyint(4) DEFAULT '0' NOT NULL,
    fieldset tinytext,
    label tinytext,
    instructions text,
    name tinytext,
    value tinytext,
    is_type int(11) DEFAULT '1' NOT NULL,
    options text,
    validation text,
    
    PRIMARY KEY (uid),
    KEY parent (pid)
) ENGINE=InnoDB;



#
# Table structure for table 'tx_formhandlerbackend_field_option'
#
# field text
CREATE TABLE tx_formhandlerbackend_field_option (
  uid int(11) NOT NULL auto_increment,
  pid int(11) DEFAULT '0' NOT NULL,
  tstamp int(11) DEFAULT '0' NOT NULL,
  crdate int(11) DEFAULT '0' NOT NULL,
  cruser_id int(11) DEFAULT '0' NOT NULL,
  sys_language_uid int(11) DEFAULT '0' NOT NULL,
  l18n_parent int(11) DEFAULT '0' NOT NULL,
  l18n_diffsource mediumblob,
  sorting int(10) DEFAULT '0' NOT NULL,
  deleted tinyint(4) DEFAULT '0' NOT NULL,
  hidden tinyint(4) DEFAULT '0' NOT NULL,
  field text,
  option_value tinytext,
  option_label tinytext,
       
  PRIMARY KEY (uid),
  KEY parent (pid)
) ENGINE=InnoDB;



#
# Table structure for table 'tx_formhandlerbackend_type'
#
CREATE TABLE tx_formhandlerbackend_type (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	sorting int(10) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	name tinytext,
  master_template text,
  master_option_template text,
  master_email_template text,

    
	PRIMARY KEY (uid),
	KEY parent (pid)
) ENGINE=InnoDB;



#
# Table structure for table 'tx_formhandlerbackend_validation'
#
CREATE TABLE tx_formhandlerbackend_validation (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	sorting int(10) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	name tinytext,
	typoscript tinytext,
	typoscript_addition text,
	html5_validation tinytext,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
) ENGINE=InnoDB;



#
# Table structure for table 'tx_formhandlerbackend_autodb'
#
CREATE TABLE tx_formhandlerbackend_autodb (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	name tinytext,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
) ENGINE=InnoDB;

