#
# Table structure for table 'tx_formhandlerbackend_type'
#
DROP TABLE IF EXISTS tx_formhandlerbackend_type;
CREATE TABLE tx_formhandlerbackend_type (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	sorting int(10) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	name tinytext,
  master_template text,
  master_option_template text,
  master_email_template text,

    
	PRIMARY KEY (uid),
	KEY parent (pid)
) ENGINE=InnoDB;

INSERT INTO `tx_formhandlerbackend_type` (`uid`, `pid`, `tstamp`, `crdate`, `cruser_id`, `sorting`, `deleted`, `hidden`, `name`, `master_template`, `master_option_template`, `master_email_template`) VALUES(1, 0, 1369752279, 0, 0, 32, 0, 0, 'input', '  <dt>\r\n    <label for="###fieldname###" ###is_error_###fieldname######>###LLL:###fieldname#########required_###fieldname######</label>\r\n    </dt>\r\n  ###error_###fieldname######\r\n  <dd>\r\n    <input type="text" size="20" id="###fieldname###" name="###formValuesPrefix###[###fieldname###]" value="###value_###fieldname######" title="###LLL:###fieldname###.notice###" ###LLL:###fieldname###.validation###/>\r\n    </dd>', '', '<tr>\r\n  <td valign="top"><strong>###LLL:###fieldname######</strong></td>\r\n  <td>###value_###fieldname######</td>\r\n</tr>');
INSERT INTO `tx_formhandlerbackend_type` (`uid`, `pid`, `tstamp`, `crdate`, `cruser_id`, `sorting`, `deleted`, `hidden`, `name`, `master_template`, `master_option_template`, `master_email_template`) VALUES(2, 0, 1369751880, 0, 0, 64, 0, 0, 'select', '  <dt>\r\n    <label for="###fieldname###" ###is_error_###fieldname######>###LLL:###fieldname#########required_###fieldname######</label>\r\n    </dt>\r\n  ###error_###fieldname######    \r\n  <dd>\r\n    <select id="###fieldname###" name="###formValuesPrefix###[###fieldname###]" title="###LLL:###fieldname###.notice###" class="select">\r\n      ###options###\r\n      </select>\r\n    </dd>', '    <option value="###value###" ###selected_###fieldname###_###value######>###LLL:###fieldname###.###option######</option>\r\n', '<tr>\r\n  <td valign="top"><strong>###LLL:###fieldname######</strong></td>\r\n  <td>###value_###fieldname######</td>\r\n</tr>');
INSERT INTO `tx_formhandlerbackend_type` (`uid`, `pid`, `tstamp`, `crdate`, `cruser_id`, `sorting`, `deleted`, `hidden`, `name`, `master_template`, `master_option_template`, `master_email_template`) VALUES(3, 0, 1369752283, 1369751954, 1, 96, 0, 0, 'textarea', '  <dt>\r\n    <label for="###fieldname###" ###is_error_###fieldname######>###LLL:###fieldname#########required_###fieldname######</label>\r\n    </dt>\r\n  ###error_###fieldname######    \r\n  <dd>\r\n    <textarea rows="3" cols="30" id="###fieldname###" name="###formValuesPrefix###[###fieldname###]" title="###LLL:###fieldname###.notice###" ###LLL:###fieldname###.validation###>###value_###fieldname######</textarea>\r\n  <dd>', '', '<tr>\r\n  <td valign="top"><strong>###LLL:###fieldname######</strong></td>\r\n  <td>###value_###fieldname######</td>\r\n</tr>');
INSERT INTO `tx_formhandlerbackend_type` (`uid`, `pid`, `tstamp`, `crdate`, `cruser_id`, `sorting`, `deleted`, `hidden`, `name`, `master_template`, `master_option_template`, `master_email_template`) VALUES(4, 0, 1369752048, 1369752048, 1, 128, 0, 0, 'checkbox', '  <dt>\r\n    <input type="checkbox" id="###fieldname###" name="###formValuesPrefix###[###fieldname###]" value="1" ###checked_###fieldname###_1###  ###LLL:###fieldname###.validation###/>\r\n  </dt>\r\n  ###error_###fieldname######    \r\n  <dd>\r\n    <label for="###fieldname###" ###is_error_###fieldname######>###LLL:###fieldname#########required_###fieldname######</label>\r\n   </dd>', '', '<tr>\r\n  <td valign="top"><strong>###LLL:###fieldname######</strong></td>\r\n  <td>###value_###fieldname######</td>\r\n</tr>');
INSERT INTO `tx_formhandlerbackend_type` (`uid`, `pid`, `tstamp`, `crdate`, `cruser_id`, `sorting`, `deleted`, `hidden`, `name`, `master_template`, `master_option_template`, `master_email_template`) VALUES(5, 0, 1369752573, 1369752399, 1, 448, 0, 0, 'radiogroup', '  <dt>\r\n    <label for="position" ###is_error_###fieldname######>###LLL:###fieldname#########required_###fieldname######</label>\r\n    </dt>\r\n  ###error_###fieldname######    \r\n  <dd>\r\n    ###options###\r\n    </dd>', '    <input type="radio" name="###formValuesPrefix###[###fieldname###]" value="###value###" ###checked_###fieldname###_###value######/>###LLL:###fieldname###.###option######', '<tr>\r\n  <td valign="top"><strong>###LLL:###fieldname######</strong></td>\r\n  <td>###value_###fieldname######</td>\r\n</tr>');
INSERT INTO `tx_formhandlerbackend_type` (`uid`, `pid`, `tstamp`, `crdate`, `cruser_id`, `sorting`, `deleted`, `hidden`, `name`, `master_template`, `master_option_template`, `master_email_template`) VALUES(10, 0, 1371205749, 1371205749, 1, 1024, 0, 0, 'helptext', '  <dt>&nbsp;</dt>\r\n  <dd>\r\n    ###LLL:###fieldname###.notice###\r\n    </dd>', '', '');
INSERT INTO `tx_formhandlerbackend_type` (`uid`, `pid`, `tstamp`, `crdate`, `cruser_id`, `sorting`, `deleted`, `hidden`, `name`, `master_template`, `master_option_template`, `master_email_template`) VALUES(20, 0, 1371205749, 1371205749, 1, 2048, 0, 0, 'submit', '  <dt>&nbsp;</dt>\r\n  <dd>\r\n    <input type="submit" ###submit_nextStep### value="###LLL:###fieldname######" title="###LLL:###fieldname###.notice###" ###LLL:###fieldname###.validation###/>\r\n    </dd>', '', '');


#
# Table structure for table 'tx_formhandlerbackend_validation'
#
DROP TABLE IF EXISTS tx_formhandlerbackend_validation;
CREATE TABLE tx_formhandlerbackend_validation (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	sorting int(10) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	name tinytext,
	typoscript tinytext,
	typoscript_addition text,
	html5_validation tinytext,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
) ENGINE=InnoDB;

INSERT INTO `tx_formhandlerbackend_validation` (`uid`, `pid`, `tstamp`, `crdate`, `cruser_id`, `sorting`, `deleted`, `hidden`, `name`, `typoscript`, `typoscript_addition`, `html5_validation`) VALUES(1, 0, 1369753988, 1369753988, 1, 128, 0, 0, 'required', 'required', '', ' required="required"');
INSERT INTO `tx_formhandlerbackend_validation` (`uid`, `pid`, `tstamp`, `crdate`, `cruser_id`, `sorting`, `deleted`, `hidden`, `name`, `typoscript`, `typoscript_addition`, `html5_validation`) VALUES(2, 0, 1369753988, 1369753988, 1, 256, 0, 0, 'email', 'email', '', ' pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}"');
INSERT INTO `tx_formhandlerbackend_validation` (`uid`, `pid`, `tstamp`, `crdate`, `cruser_id`, `sorting`, `deleted`, `hidden`, `name`, `typoscript`, `typoscript_addition`, `html5_validation`) VALUES(3, 0, 1369754284, 1369754098, 1, 512, 0, 0, 'maxLength 10 chars', 'maxLength', 'value = 10', ' pattern=".{0,10}"');
INSERT INTO `tx_formhandlerbackend_validation` (`uid`, `pid`, `tstamp`, `crdate`, `cruser_id`, `sorting`, `deleted`, `hidden`, `name`, `typoscript`, `typoscript_addition`, `html5_validation`) VALUES(4, 0, 1369754291, 1369754172, 1, 768, 0, 0, 'minLength 10 chars', 'minLength', 'value = 10', ' pattern=".{10,99999}"');
INSERT INTO `tx_formhandlerbackend_validation` (`uid`, `pid`, `tstamp`, `crdate`, `cruser_id`, `sorting`, `deleted`, `hidden`, `name`, `typoscript`, `typoscript_addition`, `html5_validation`) VALUES(5, 0, 1369754297, 1369754198, 1, 1024, 0, 0, 'between 1 and 10 chars', 'betweenLength', 'minValue = 1\r\nmaxValue = 10', ' pattern=".{1,10}');
