<?php
/*
tx_formhandlerbackend_unique is a tca-eval function to check the uniqueness
of a key value and add a numeric value to non-unique values.
it considers only the original language values and updates other languages with
the same key value.

called from t3lib/class.t3lib_tcemain.php:1386++
problem: missing table, id and field
ok for one language, problem for multiple languages
*/
class tx_formhandlerbackend_unique {
  function evaluateFieldValue($value, $is_in, &$set) {
    // check uniqueness in sys_language_uid=0
    $res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid', 'tx_formhandlerbackend_field',
      'sys_language_uid = 0 AND name = '. $GLOBALS['TYPO3_DB']->fullQuoteStr($value, 'tx_formhandlerbackend_field'). ' AND hidden=0 AND deleted=0');

    $num = $GLOBALS['TYPO3_DB']->sql_num_rows($res);
    while (false !== ($row=$GLOBALS['TYPO3_DB']->sql_fetch_assoc($res))) {
      $add = ($i++>0)?$i-2:'';
      $GLOBALS['TYPO3_DB']->exec_UPDATEquery('tx_formhandlerbackend_field','uid = '. intval($row['uid']), array('name'=>$value.$add));
      $GLOBALS['TYPO3_DB']->exec_UPDATEquery('tx_formhandlerbackend_field','l10_parent = '. intval($row['uid']), array('name'=>$value.$add));
    }
    return;
  }
}
?>